<?php
require_once('DataManager.Class.php');

class Configuracion {
    
    public $conn;

    function __construct($c) {
        
        if(isset($c)){
                $this->conn = $c;
        } else {
                $this->conn = DataManager::getInstance();
        }
    }


	public function muestraInformacionConfiguracion($idConf, $descripcion, $tipo_retorno)
	{
		
		$stmt = $this->conn->prepare("{CALL agenda.SP_configuracion_informacion (?, ?)}");
		$stmt->bindValue(1, $idConf, PDO::PARAM_INT);
		$stmt->bindValue(2, $descripcion, PDO::PARAM_STR);
		$stmt->execute();

		if($tipo_retorno == 0) {
			return $stmt->fetch();
		} else {
			return $stmt->fetchAll();
		}
	}

	 
    function Close() {
        
        $this->conn = null;
        
    }
}
?>